Jagged Alliance Center - Forum

Nowy temat Odpowiedz w temacie  [ Posty: 9 ] 
Autor Wiadomość
marcinl0
Post : 22 mar 2023 18:30
Cytowanie selektywne Odpowiedz z cytatem
Offline
Plutonowy
Plutonowy
  • Posty: 167
  • Dołączył: 03.03.2012


Z wersjami JA2 Wildfire oferowanymi przez znakomity GoG jest następujący problem:

Wersja angielska ENG Wildfire jest zaledwie w wersji 6.04 - w każdym razie wersję 6.04 wyświetla plik exe ENG po uruchomieniu - a przede wszystkim mapy w wersji ENG są niestety spakowane jako jeden plik Maps.slf którego nie da się rozpakować - co uniemożliwia podmianę wadliwego sektora I8 (wychodzi się z gry - wadliwy chyba we wszystkich wersjach Wildfire).

Wersja rosyjska RU Wildfire jest w najnowszej wersji 6.08 i posiada rozpakowane mapy w katalogu Maps - co pozwala na łatwą podmianę I8 i w miarę normalną grę - jednak w ogóle gra w wersji językowej RU to męczarnia - i nadal jest problem z crashem nawet w 6.08.

Do tej pory aby sobie poradzić kombinowałem jak mogłem mieszając wersje ENG i RU GoG tak aby w każdym razie plik exe był ENG a poszczególne pliki z RU były podmienione na ENG - a także podmieniony plik speech tak aby dało się słuchać "normalnego" Miguela znanego z JA2 (dobry plik speech jest chyba z JA2 albo JAUB).

Ale czy nie ma w 2023 roku już bardziej eleganckiego rozwiązania aby normalnie grać w stabilną najnowszą wersję ENG 6.08 Wildfire bez wychodzenia do pulpitu crashów: czy są już dostępne poprawne pliki ENG i rozpakowane mapy Wildfire ENG najlepiej od razu z poprawionym sektorem I8 (ew. możliwy do podmiany) - tylko jak je poprawnie wprowadzić do wersji ENG GoG.

I być może jest już nareszcie rozwiązany znany problem - gdzie trzeba przeczekać crasha w czasie rzeczywistym jako jedyne znane mi rozwiązanie aby grać dalej w Wildfire (żadne poprawki nowe wersje dotąd nie pomagały) - w ten jedyny znany mi sposób ukończyłem Wildfire kilka razy na hard.

Być może było to już poruszane sorry - w każdym razie liczę na pomoc głównie niezawodnego Starchrisa - tak eby po latach nareszcie stabilnie zagrać w Wildfire 6.08 ENG Win10 - także dzięki genialnemu ponadczasowemu plikowi seria JA JA2 JAUB Wildfire na Win10.


*
 
Starchris
Post : 22 mar 2023 20:11
Cytowanie selektywne Odpowiedz z cytatem
Offline
Awatar użytkownika
Pułkownik
Pułkownik
  • Posty: 2058
  • Dołączył: 25.06.2010


W tamtym czasie twórcy Wildfire mieli problem z otrzymaniem zapłaty za wykonany projekt (już nie pamiętam szczegółów, kto, co, jak i dlaczego), dlatego go porzucili przy wersji 6.04, natomiast ten 6.08 jest nieoficjalny. Niestety z tamtejszych informacji pamiętam, że mieli jeszcze sporo pracy do poprawienia i były szykowane kolejne duże aktualizacje, ale koniec końców nic z tego nie wyszło.

W kodzie źródłowym, czyli pliku EXE jest masa bugów, który uniemożliwia stabilną rozgrywkę, ponieważ nigdy nie wiadomo, kiedy gra nagle i z jakiego powodu się wykrzaczy. Niestety tego nie da się poprawić, bo nie ma dostępu do kodu źródłowego, bo twórcy go nie opublikowali. Opublikowano tylko do JA2 i JA2 UB.

Pierwsze słyszę, żeby mapy w Wildfire były zbugowane i powodowały jakiekolwiek kłopoty. One w zasadzie nie mają nic do tego, bo edytor map jest w porządku i buduje mapy poprawnie, natomiast steruje nimi plik exe i on powoduje crashe.

_________________
Obrazek
Poradniki Modera


*
 
marcinl0
Post : 22 mar 2023 20:22
Cytowanie selektywne Odpowiedz z cytatem
Offline
Plutonowy
Plutonowy
  • Posty: 167
  • Dołączył: 03.03.2012


Tzn. konkretnie JEDNA mapa I8 Central Sam Cambria jest na 100 procent zbugowana. Czy ktoś próbował wejść do tego sektora na fabrycznej mapie - chyba że w jakiejś nowej wersji gry Wildfire 6.08 RU z najnowszą mapą I8.

Dlatego specjalnie wtedy chyba w 2014 r. specjalnie pozyskałem chyba wprost od Autorów poprawiony "zdezaktywowany" plik i8.dat i zawsze go podmieniam - ale w wersji ENG się nie da bo nie ma oddzielnego katalogu MAPS. Taki katalog MAPS tworzy wersja RU 6.08 GoG (i można podmienić tam kilka map).

W każdym razie nadal w 2023 pozostaje mieszanie wersji RU/ENG i wpis do rejestru z genialnej nakładki W10.


*
 
Starchris
Post : 22 mar 2023 20:33
Cytowanie selektywne Odpowiedz z cytatem
Offline
Awatar użytkownika
Pułkownik
Pułkownik
  • Posty: 2058
  • Dołączył: 25.06.2010


Tu masz rozpakowywacz SLF'ów. Skopiuj maps.slf do katalogu Unpack SLF i uruchom Maps.bat i powinien się pojawić Folder MAPS z wszystkimi mapami.

Załącznik:
Unpack SLF.7z [68.64 KiB]
Pobrany 95 razy

Jeśli ta mapa sprawia takie problemy, to ją zamień na oryginalną z JA2 albo zamień na jakąkolwiek inną mapę.

marcinl0 pisze:
Dlatego specjalnie wtedy chyba w 2014 r. specjalnie pozyskałem chyba wprost od Autorów poprawiony "zdezaktywowany" plik i8.dat i zawsze go podmieniam - ale w wersji ENG się nie da bo nie ma oddzielnego katalogu MAPS. Taki katalog MAPS tworzy wersja RU 6.08 GoG (i można podmienić tam kilka map).

Jeśli dobrze zrozumiałem to w ENG nie ma katalogu Maps, bo tak faktycznie jest, no ale to wystarczy stworzyć tam taki folder o nazwie Maps i tam skopiować ten sektor.

_________________
Obrazek
Poradniki Modera


*
 
marcinl0
Post : 22 mar 2023 21:13
Cytowanie selektywne Odpowiedz z cytatem
Offline
Plutonowy
Plutonowy
  • Posty: 167
  • Dołączył: 03.03.2012


I. Mam podstawowe pytanie: czy przynajmniej w ogóle istnieje - nawet nieoficjalny - sam plik ENG W6.exe najnowsza wersja 6.08.

Podkreślam: nie piszę nawet o "mitycznym" patchu 6.08 ENG - tylko o samym pliku ENG 6.08 nawet nieformalnym.

Jak podmieniam plik W6.exe 6.04 ENG na W6.exe 6.08 RU to automatycznie wszystkie czcionki np. na ekranie AIM się "załamują". Inna sprawa że i na 6.08 RU crash uniemożliwiający dalszą grę - też wystąpi - pomaga tylko przeczekanie w czasie rzeczywistym na ekranie taktycznym.

Z mapą I8 poradzę sobie. Ciekawe że wersja RU 6.08 GoG przy instalacji jednak generuje oddzielny katalog Maps z niektórymi mapami w tym I8 - a także jednocześnie jest obecny plik maps.slf w katalogu data. Wygląda jakby traktowała katalog Maps jako "patch" sam w sobie. Dlatego moje podmienianie wersji RU na ENG także działa z podmianą potem zbugowanej mapy I8.


II. I od razu jeszcze jedno: czy jest jakakolwiek szansa aby na Wildfre zadziałał znakomity mod do JA2 Early Hireable Rebels - pozwalający od razu w Omerta na początku rekrutować Miguela Carlosa Dinitriego Irę co pięknie działa z JA2. Jednak w Wildfire zmieniono oryginalne zasady rekrutacji - i stąd pytanie jak to poprawnie zrobić aby ten świetny mod zadziałał i w Wildfire.


*
 
marcinl0
Post : 01 kwie 2023 15:29
Cytowanie selektywne Odpowiedz z cytatem
Offline
Plutonowy
Plutonowy
  • Posty: 167
  • Dołączył: 03.03.2012


Ponowię pytania bo już mamy następny miesiąc i nadal nic: I. Mam podstawowe pytanie: czy przynajmniej w ogóle istnieje - nawet nieoficjalny - sam plik ENG W6.exe najnowsza wersja 6.08.KONIECZNIE ENG
II. Czy jest jakakolwiek szansa aby na Wildfre zadziałał znakomity mod do JA2 Early Hireable Rebels - ew. jak to poprawnie zrobić aby ten świetny mod zadziałał i w Wildfire.


*
 
amber-coffeeCat
Post : 01 kwie 2023 23:05
Cytowanie selektywne Odpowiedz z cytatem
Offline
Awatar użytkownika
Kapral
Kapral
  • Posty: 36
  • Dołączył: 04.09.2020


Ale w Wildfire - z tego co pamiętam - wszystkich rebeliantów można nająć już po dostarczeniu żywności z Drassen. Żaden mod niepotrzebny.


*
 
marcinl0
Post : 01 kwie 2023 23:18
Cytowanie selektywne Odpowiedz z cytatem
Offline
Plutonowy
Plutonowy
  • Posty: 167
  • Dołączył: 03.03.2012


Z działającym Early Hireable Rebels w JA2 można nająć już w Omerta na samym początku = zatem jednak jest różnica = zatem mod nawet w Wildfire miałby sens - tylko jak poprawnie to zrobić by w Wildfire też zadziałał - jak w JA2.


*
 
marcinl0
Post : 01 kwie 2023 23:25
Cytowanie selektywne Odpowiedz z cytatem
Offline
Plutonowy
Plutonowy
  • Posty: 167
  • Dołączył: 03.03.2012


ale ważniejsze I. Czy w ogóle istnieje - nawet nieoficjalny - sam plik ENG W6.exe najnowsza wersja 6.08.KONIECZNIE ENG


*
 
Nowy temat Odpowiedz w temacie


cron